Subject: Bug#4410: cflow causes dselect to break by Pre-Depends: gcc

From: Ian Jackson <[email-masked]>
Date: Thu, 5 Sep 96 12:45 BST

Package: cflow
Version: 2.0-1

 PACKAGE: cflow
 DESCRIPTION: cflow - print a function call hierarchy
  The cflow command reads the given program source and attempts to print a
  graph of the program's function call hierarchy to the standard output.
 ARCHITECTURE: i386
 MAINTAINER: Dominik Kubla <[email-masked]>
 PRE-DEPENDS: libc5 (>=5.2.18-1), gcc (>=2.7.2-1)
 ^^^^^^^^^^^
 PRIORITY: standard
 SECTION: devel
 VERSION: 2.0-1

1. cflow should not use Pre-Depends at all.
2. The situation
     A =Pre-Depends=> B =ordinary-Depends=> C
   as in
     cflow =Pre-Depends=> gcc =Depends=> binutils
   causes dselect to break.  I may be able to do something about this,
   but not soon, and I don't want to do it in the forked stable
   version of dpkg.

This has broken dselect-based installation from `stable', and should
be fixed forthwith.  I suggest that the cflow package in stable be
removed pending the fix.

Ian.